include:
  - project: "empaia/integration/ci-templates"
    ref: "main"
    file:
      - "pipeline-templates/pipeline-poetry-standard.yml"
      - "job-templates/docker-init.yml"

variables:
  TITLE: "Job Service"
  DESCRIPTION: "Job Service"
  DIRECTORY: "job_service"
  TEST_DIRECTORY: "job_service/test"
  RUNNER_TAG: "empaia-parallel"
  RUNNER_DOCKER_TAG: "empaia-docker"
  HOST_PORT: 8000
  CONTAINER_PORT: 8000

docker-based-pytest-v1:
  extends: .docker-init
  tags:
    - empaia-docker
  before_script:
    - !reference [.docker-init, before_script]
    - cp sample.env .env
    - docker compose up --build -d
    - poetry install
    - sleep 10
    - docker ps -a
  script:
    - poetry run pytest tests/v1 -v --maxfail=1
  after_script:
    - docker compose down -v
    - !reference [.docker-init, after_script]

docker-based-pytest-v3:
  extends: .docker-init
  tags:
    - empaia-docker
  before_script:
    - !reference [.docker-init, before_script]
    - cp sample.env .env
    - docker compose up --build -d
    - poetry install
    - sleep 10
    - docker ps -a
  script:
    - poetry run pytest tests/v3 -v --maxfail=1
  after_script:
    - docker compose down -v
    - !reference [.docker-init, after_script]

docker-build-and-push:
  needs:
    - !reference [.docker-build-and-push-default-needs, needs]
    - job: docker-based-pytest-v1
    - job: docker-based-pytest-v3
